net.minecraftforge.liquids

## Class LiquidEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.liquids.LiquidEvent

- Direct Known Subclasses:
    LiquidEvent.LiquidDrainingEvent, LiquidEvent.LiquidFillingEvent, LiquidEvent.LiquidMotionEvent, LiquidEvent.LiquidSpilledEvent

  Deprecated.

      @Deprecated
      public class LiquidEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LiquidEvent.LiquidDrainingEvent` Deprecated. Mods should fire this event when a liquid is `ILiquidTank.drain(int, boolean)` from their tank.
    `static class` | `LiquidEvent.LiquidFillingEvent` Deprecated. Mods should fire this event when a liquid is `ILiquidTank.fill(LiquidStack, boolean)` their tank implementation.
    `static class` | `LiquidEvent.LiquidMotionEvent` Deprecated. Mods should fire this event when they move liquids around (pipe networks etc)
    `static class` | `LiquidEvent.LiquidSpilledEvent` Deprecated. Mods should fire this event when a liquid "spills", for example, if a block containing liquid is broken.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `LiquidStack` | `liquid` Deprecated.
    `World` | `world` Deprecated.
    `int` | `x` Deprecated.
    `int` | `y` Deprecated.
    `int` | `z` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquidEvent(LiquidStack liquid, World world, int x, int y, int z)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fireEvent(LiquidEvent event)` Deprecated. A handy shortcut for firing the various liquid events

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### liquid

          public final LiquidStack liquid

      Deprecated.

    - #### x

          public final int x

      Deprecated.

    - #### y

          public final int y

      Deprecated.

    - #### z

          public final int z

      Deprecated.

    - #### world

          public final World world

      Deprecated.

  - ### Constructor Detail

    - #### LiquidEvent

          public LiquidEvent(LiquidStack liquid,
                     World world,
                     int x,
                     int y,
                     int z)

      Deprecated.

  - ### Method Detail

    - #### fireEvent

          public static final void fireEvent(LiquidEvent event)

      Deprecated.
      A handy shortcut for firing the various liquid events
      Parameters:
        `event` -